%define	pkgname	mysql-udf-ipv6
Name:		mysql-ipv6-functions
Version: 	0.5
Release:	7.1
License: 	EUPL
Group: 		Server
Summary: 	IPv6 functions for mysql
URL: 		http://labs.watchmouse.com/2009/10/extending-mysql-5-with-ipv6-functions/
Source0: 	%{pkgname}-%{version}.tar.gz
Patch0:		%{pkgname}-makefile.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:  glibc-devel libgcc gcc gcc-c++ 
BuildRequires:  mysql-devel >= 5.0 pkgconfig
BuildRequires:  mysql >= 5.0
BuildRequires:	libidn-devel libidn
Requires:	mysql >= 5.0

%description
This is an experimental runtime plug-in (UDF) for MySQL
that adds some basic IPv6 functions that MySQL is still lacking:
inet_ntop(3) and inet_pton(3).                                  

These files are experimental and provided as-is under a EUPL license.

    Authors:
    Pieter Ennes <pieter@watchmouse.com>


%prep
%setup -n %{pkgname}
%patch0

%build
%__make LIBDIR=%{_libdir}

%install
%__make LIBDIR=%{_libdir} DESTDIR=%{buildroot} install

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%dir %{_libdir}/mysql
%dir %{_libdir}/mysql/plugin
%{_libdir}/mysql/plugin/mysql_udf_ipv6.so
%{_libdir}/mysql/plugin/mysql_udf_idna.so

%changelog
* Fri Feb  6 2015 cs@linux-administrator.com
- update to release 0.5
